Bug 147303 - [PATCH]: PATA Support on Promise PDC20378 (sata_promise)
[PATCH]: PATA Support on Promise PDC20378 (sata_promise)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Garzik
Brian Brock
https://bugzilla.ubuntu.com/show_bug....
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-06 16:33 EST by John Dong
Modified: 2013-07-02 22:23 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-17 21:57:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
pata support for sata_promise driver (3.00 KB, patch)
2005-04-21 21:48 EDT, James C. Bevier
no flags Details | Diff
This is the "real" patch for the sata_promise driver. (3.84 KB, patch)
2005-04-21 22:00 EDT, James C. Bevier
no flags Details | Diff

  None (edit)
Description John Dong 2005-02-06 16:33:15 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20050204 Firefox/1.0

Description of problem:
In FedoraForum.org, I saw that there were a few lengthy threads of
users begging for support for the IDE port on the Promise FastTrak 378.

Recently committed into the kernel was a series of libata patches that
implement this support.

Linked is the bugzilla entry at Ubuntu (that I filed), including the 2
isolated patches taken from Gentoo's gentoo-dev-sources >=2.6.10-r5
Comment 1 John Dong 2005-02-16 14:17:55 EST
So is anyone gonna say something about this?
Comment 2 James C. Bevier 2005-04-21 21:48:06 EDT
Created attachment 113504 [details]
pata support for sata_promise driver

This is the modified Ubuntu patch.  When can it be put in Fedora Core 4????
Comment 3 James C. Bevier 2005-04-21 22:00:13 EDT
Created attachment 113505 [details]
This is the "real" patch for the sata_promise driver.

Pata support for sata_promise driver.  The last one was out of date.
Comment 4 TGS 2005-05-16 01:46:54 EDT
Any information on this?

I cannot install FC3 or FC4test3 on an Alienware Area 51-M 7700

It uses the the Promise Techology PDC20378 (FastTrak 378/SATA 378) (Rev 02)
Comment 5 Dave Jones 2005-05-17 21:57:37 EDT
this got merged in kernel 2.6.11-1.1267

Note You need to log in before you can comment on or make changes to this bug.